Subject: Re: Asynchronous crypto layer.

From: Michal Ludvig <[email-masked]>
Date: Fri, 29 Oct 2004 17:28:34 +0200

Evgeniy Polyakov told me that:
> On 29 Oct 2004 11:08:03 -0400 jamal <[email-masked]> wrote:
> 
>> On Fri, 2004-10-29 at 10:06, Evgeniy Polyakov wrote:
>> 
>>> I agree that multigigahertz box will beat my HIFN card, but I 
>>> doubt it can beat 1gghz VIA.
>> 
>> The VIA is an interesting one; but it would still be interesting to
>>  see comparisons. Actually I should say a good comparison will be 
>> with a dual opteron >= 2Ghz which i have no doubt will smoke a xeon
>> - all in s/ware.
> 
> He-he, dual Opteron? It costs as 5 Via boards :)
> 
> ok, I will follow this plan: I will create simple block device like 
> cryptoloop, it will be _really_ simple without any kind of 
> portability and/or stability (I hope it will be one day, at least it 
> took so for 2.4) and I will measure async vs sync.

Then I could give the numbers for dual (and quad-) Opteron as well ;-))

But make sure that your cryptodriver could take advantage of SMP!

> Then Michal can measure it's fcrypt driver also.

I'll have to port it to acrypto first. But I'll do so :-)

Michal Ludvig
- --
SUSE Labs                    [email-masked]
(+420) 296.542.396        http://www.suse.cz
Personal homepage http://www.logix.cz/michal